@charset "utf-8";
/*------------------------  page.css  ------------------------*/



/*-----  main-visual  -----*/
.main-visual { position: relative; margin: 0 0 60px; width: 100%; overflow: hidden; }
.main-visual .main { position: absolute; top: 0; left: 0; width: 100%; z-index: 2; }
.main-visual .palm-tree { position: absolute; top: 32%; left: 14%; width: 18%; animation: sway 3s infinite ease-in-out; z-index: 2; }

@media screen and (max-width: 800px) {
 .main-visual { margin: 0 0 40px; }
 .main-visual .palm-tree { top: 35%; left: 1.6%; width: 25%; }
}


/* animation */
.fade1 { opacity: 0; transition: 1.2s 0.1s ease; }
.fade1.is-done { opacity: 1; }
.fade2 { opacity: 0; transition: 1.2s 1.2s ease; }
.fade2.is-done { opacity: 1; }

@keyframes sway {
 0% { transform: rotate(5deg); }
 50% { transform: rotate(-10deg); }
 100% { transform: rotate(5deg); }
}



/*-----  hawaiian-block  -----*/
.hawaiian-block { padding: 0 0 30px; }
.hawaiian-block-inner { background: url(../images/bg_hawaiian.jpg) center top #fed95b; background-size: 240px 240px; }

@media screen and (max-width: 800px) {
 .hawaiian-block { padding: 0 0 20px; }
 .hawaiian-block-inner { background-size: 160px 160px; }
}



/*-----  lineup-block  -----*/
.lineup-block { padding: 7% 6% 7%;  }
.lineup-block .menu-block { display: flex; align-items: center; margin: -3% 0 0; }
.lineup-block .menu-block:nth-of-type(even) { flex-direction: row-reverse; }
.lineup-block .menu-block .block-img { position: relative; flex-basis: 52%; }
.lineup-block .menu-block .block-img .anime03 { position: absolute; top: -3%; right: -2%; width: 46%; }
.lineup-block .menu-block .block-img .anime04 { position: absolute; top: 9%; left: 2%; width: 22%; }
.lineup-block .menu-block .block-info { flex: 1; padding: 30px 3% 0 2%; }
.lineup-block .menu-block:nth-of-type(even) .block-info { padding: 30px 2% 0 3%; }

.lineup-block .menu-block .name { padding: 0 0 16px; font-weight: 800; font-size: 30px; line-height: 1.3; }
.lineup-block .menu-block .price-block { padding: 0 0 18px; }
.lineup-block .menu-block .box { display: flex; align-items: end; }
.lineup-block .menu-block .box .item { padding: 0 12px 4px 0; font-weight: 800; font-size: 16px; }
.lineup-block .menu-block .box .price { display: flex; align-items: end; font-family: 'Oswald', sans-serif; font-weight: 600; font-size: 36px; letter-spacing: 0; }
.lineup-block .menu-block .box .price .yen { padding: 0 2px 0 0; font-size: 30px; }
.lineup-block .menu-block .txt { font-size: 16px; line-height: 1.6; }
.lineup-block .menu-block .note { padding: 10px 0 0; font-size: 14px; line-height: 1.6; }

@media screen and (max-width: 980px) {
 .lineup-block .menu-block .name { font-size: 28px; }
 .lineup-block .menu-block .box .price { font-size: 30px; }
 .lineup-block .menu-block .box .price .yen { font-size: 26px; }
}

@media screen and (max-width: 800px) {
 .lineup-block { padding: 12% 2% 3%;  }
 .lineup-block .menu-block { display: block; padding: 0 0 13%; }
 .lineup-block .menu-block .block-img { margin: 0 auto; padding: 0; max-width: 520px; }
 .lineup-block .menu-block .block-info { padding: 10px 6% 0; }
 .lineup-block .menu-block:nth-of-type(even) .block-info { padding: 10px 4% 0; }

 .lineup-block .menu-block .name { padding: 0 0 14px; font-size: 24px; }
 .lineup-block .menu-block .price-block { padding: 0 0 14px; }
 .lineup-block .menu-block .box .item { font-size: 15px; }
 .lineup-block .menu-block .box .price {  font-size: 28px; }
 .lineup-block .menu-block .box .price .yen { padding: 0 2px 1px 0; font-size: 22px; }
 .lineup-block .menu-block .txt { font-size: 15px; }
 .lineup-block .menu-block .note { padding: 6px 0 0; font-size: 13px; }
}



/*-----  sub-block  -----*/
.sub-block { display: flex; justify-content: space-between; padding: 0 0 60px; }
.sub-block .notes-list { font-weight: 600; font-size: 15px; line-height: 1.5; }
.sub-block .notes-list .note:not(:last-of-type) { padding: 0 0 2px; }
.sub-block .btn-set { margin: 4px 0 0; width: 260px; }
.sub-block .btn-set .btn-menu:not(:last-of-type) { padding: 0 0 15px; }

@media screen and (max-width: 800px) {
 .sub-block { display: block; padding: 0 0 40px; }
 .sub-block .notes-list { padding: 0 0 32px; }
 .sub-block .notes-list { font-size: 14px; }
 .sub-block .notes-list .note:not(:last-of-type) { padding: 0 0 2px; }
 .sub-block .btn-set { margin: 0 auto; width: 100%; }
}


